Imagick::getImageAlphaChannel
Imagick::getImageAttribute
Imagick
PHP Manual

# Imagick::getImageArtifact

(No version information available, might only be in Git)

Imagick::getImageArtifact — Get image artifact

### Description

string Imagick::getImageArtifact ( string `$artifact` )

Gets an artifact associated with the image. The difference between image properties and image artifacts is that properties are public and artifacts are private. This method is available if Imagick has been compiled against ImageMagick version 6.5.7 or newer.

### Parameters

`artifact`

  The name of the artifact

### Return Values

Returns the artifact value on success.

### Errors/Exceptions

Throws ImagickException on error.

### See Also

- Imagick::setImageArtifact() - Set image artifact
- Imagick::deleteImageArtifact() - Delete image artifact

Imagick::getImageAlphaChannel
Imagick::getImageAttribute
Imagick
PHP Manual